Debian DLA-3227-1:ruby-rails-html-sanitizer - LTS 安全性更新

medium Nessus Plugin ID 168449

Synopsis

遠端 Debian 主機缺少與安全性相關的更新。

描述

遠端 Debian 10 主機上安裝的套件受 dla-3227 公告中提及的一個弱點影響。

- Rails: : Html: : Sanitizer 中可能存在 XSS 弱點。Rails: : Html: : Sanitizer 的某些組態可能存在 XSS 弱點。已爲此弱點指派 CVE 識別碼 CVE-2022-32209。受影響的版本:全部 不受影響的版本:無 已修正的版本:v1.4.3## 影響 Rails: : Html: : 的某些組態可能存在 XSS 弱點。如果應用程式開發人員已覆寫清理程式的允許標籤,以允許「select」和「style」元素,則攻擊者可以利用此弱點插入內容。只有在覆寫允許的標籤時,程式碼才會受到影響。這可透過應用程式組態來完成:```ruby# In config/application.rbconfig.action_view.sanitized_allowed_tags = [select, style]```請參閱 https://guides.rubyonrails.org/configuring.html#configuring-action-viewOr 也可以透過動作檢視協助程式「sanitize」的「:tags」選項來完成:```<%= sanitize @comment.body, tags:
[select, style] %>```請參閱 https://api.rubyonrails.org/classes/ActionView/Helpers/SanitizeHelper.html#method-i-sanitizeOr 也可以直接透過 Rails: : Html: : SafeListSanitizer 來完成:```ruby# class-level optionRails: : Html: : SafeListSanitizer.allowed_tags = [select, style]```或```ruby# instance-level optionRails: : Html: : SafeListSanitizer.new.sanitize(@article.body, tags: [select, style])``` 所有透過上述任何機制覆寫允許的標籤以同時包含「select 」與「style 」的使用者,都應立即升級或使用其中一種因應措施。## 版本 已在正常位置提供修正後的版本。 ## 因應措施 從已覆寫的允許標籤中移除「select 」或「style 」。## 致謝 此弱點由 [windshock] 負責任地報告 (https://hackerone.com/windshock?type=user)。(CVE-2022-32209)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

升級 ruby-rails-html-sanitizer 套件。

針對 Debian 10 buster,已在 1.0.4-1+deb10u1 版中修正此問題。

另請參閱

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1013806

http://www.nessus.org/u?71ff2f68

https://www.debian.org/lts/security/2022/dla-3227

https://security-tracker.debian.org/tracker/CVE-2022-32209

https://packages.debian.org/source/buster/ruby-rails-html-sanitizer

Plugin 詳細資訊

嚴重性: Medium

ID: 168449

檔案名稱: debian_DLA-3227.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/12/7

已更新: 2022/12/7

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 3

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:N/AC:M/Au:N/C:N/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-32209

CVSS v3

風險因素: Medium

基本分數: 6.1

時間分數: 5.3

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:ruby-rails-html-sanitizer, cpe:/o:debian:debian_linux:10.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/12/7

弱點發布日期: 2022/6/24

參考資訊

CVE: CVE-2022-32209